# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models import (  # type: ignore
    AdvancedSettings,
    AuthorizationConfig,
    AuthorizationRule,
    BackendChain,
    BatchingConfiguration,
    BrokerAuthenticationProperties,
    BrokerAuthenticationResource,
    BrokerAuthenticatorCustomAuth,
    BrokerAuthenticatorMethodCustom,
    BrokerAuthenticatorMethodSat,
    BrokerAuthenticatorMethodX509,
    BrokerAuthenticatorMethodX509Attributes,
    BrokerAuthenticatorMethods,
    BrokerAuthorizationProperties,
    BrokerAuthorizationResource,
    BrokerDiagnostics,
    BrokerListenerProperties,
    BrokerListenerResource,
    BrokerProperties,
    BrokerResource,
    BrokerResourceRule,
    Cardinality,
    CertManagerCertOptions,
    CertManagerCertificateSpec,
    CertManagerIssuerRef,
    CertManagerPrivateKey,
    ClientConfig,
    DataflowBuiltInTransformationDataset,
    DataflowBuiltInTransformationFilter,
    DataflowBuiltInTransformationMap,
    DataflowBuiltInTransformationSettings,
    DataflowDestinationOperationSettings,
    DataflowEndpointAuthenticationAccessToken,
    DataflowEndpointAuthenticationSasl,
    DataflowEndpointAuthenticationServiceAccountToken,
    DataflowEndpointAuthenticationSystemAssignedManagedIdentity,
    DataflowEndpointAuthenticationUserAssignedManagedIdentity,
    DataflowEndpointAuthenticationX509,
    DataflowEndpointDataExplorer,
    DataflowEndpointDataExplorerAuthentication,
    DataflowEndpointDataLakeStorage,
    DataflowEndpointDataLakeStorageAuthentication,
    DataflowEndpointFabricOneLake,
    DataflowEndpointFabricOneLakeAuthentication,
    DataflowEndpointFabricOneLakeNames,
    DataflowEndpointKafka,
    DataflowEndpointKafkaAuthentication,
    DataflowEndpointKafkaBatching,
    DataflowEndpointLocalStorage,
    DataflowEndpointMqtt,
    DataflowEndpointMqttAuthentication,
    DataflowEndpointProperties,
    DataflowEndpointResource,
    DataflowOperation,
    DataflowProfileProperties,
    DataflowProfileResource,
    DataflowProperties,
    DataflowResource,
    DataflowSourceOperationSettings,
    DiagnosticsLogs,
    DiskBackedMessageBuffer,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExtendedLocation,
    Frontend,
    GenerateResourceLimits,
    InstancePatchModel,
    InstanceProperties,
    InstanceResource,
    KubernetesReference,
    ListenerPort,
    LocalKubernetesReference,
    ManagedServiceIdentity,
    Metrics,
    Operation,
    OperationDisplay,
    PrincipalDefinition,
    ProfileDiagnostics,
    ProxyResource,
    Resource,
    SanForCert,
    SchemaRegistryRef,
    SelfCheck,
    SelfTracing,
    StateStoreResourceRule,
    SubscriberQueueLimit,
    SystemData,
    TlsCertMethod,
    TlsProperties,
    Traces,
    TrackedResource,
    UserAssignedIdentity,
    VolumeClaimResourceRequirements,
    VolumeClaimSpec,
    VolumeClaimSpecSelector,
    VolumeClaimSpecSelectorMatchExpressions,
    X509ManualCertificate,
)

from ._enums import (  # type: ignore
    ActionType,
    BrokerAuthenticationMethod,
    BrokerMemoryProfile,
    BrokerProtocolType,
    BrokerResourceDefinitionMethods,
    CertManagerIssuerKind,
    CloudEventAttributeType,
    CreatedByType,
    DataExplorerAuthMethod,
    DataLakeStorageAuthMethod,
    DataflowEndpointAuthenticationSaslType,
    DataflowEndpointFabricPathType,
    DataflowEndpointKafkaAcks,
    DataflowEndpointKafkaCompression,
    DataflowEndpointKafkaPartitionStrategy,
    DataflowMappingType,
    EndpointType,
    ExtendedLocationType,
    FabricOneLakeAuthMethod,
    FilterType,
    KafkaAuthMethod,
    ManagedServiceIdentityType,
    MqttAuthMethod,
    MqttRetainType,
    OperationType,
    OperationalMode,
    OperatorValues,
    Origin,
    PrivateKeyAlgorithm,
    PrivateKeyRotationPolicy,
    ProvisioningState,
    ServiceType,
    SourceSerializationFormat,
    StateStoreResourceDefinitionMethods,
    StateStoreResourceKeyTypes,
    SubscriberMessageDropStrategy,
    TlsCertMethodMode,
    TransformationSerializationFormat,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AdvancedSettings",
    "AuthorizationConfig",
    "AuthorizationRule",
    "BackendChain",
    "BatchingConfiguration",
    "BrokerAuthenticationProperties",
    "BrokerAuthenticationResource",
    "BrokerAuthenticatorCustomAuth",
    "BrokerAuthenticatorMethodCustom",
    "BrokerAuthenticatorMethodSat",
    "BrokerAuthenticatorMethodX509",
    "BrokerAuthenticatorMethodX509Attributes",
    "BrokerAuthenticatorMethods",
    "BrokerAuthorizationProperties",
    "BrokerAuthorizationResource",
    "BrokerDiagnostics",
    "BrokerListenerProperties",
    "BrokerListenerResource",
    "BrokerProperties",
    "BrokerResource",
    "BrokerResourceRule",
    "Cardinality",
    "CertManagerCertOptions",
    "CertManagerCertificateSpec",
    "CertManagerIssuerRef",
    "CertManagerPrivateKey",
    "ClientConfig",
    "DataflowBuiltInTransformationDataset",
    "DataflowBuiltInTransformationFilter",
    "DataflowBuiltInTransformationMap",
    "DataflowBuiltInTransformationSettings",
    "DataflowDestinationOperationSettings",
    "DataflowEndpointAuthenticationAccessToken",
    "DataflowEndpointAuthenticationSasl",
    "DataflowEndpointAuthenticationServiceAccountToken",
    "DataflowEndpointAuthenticationSystemAssignedManagedIdentity",
    "DataflowEndpointAuthenticationUserAssignedManagedIdentity",
    "DataflowEndpointAuthenticationX509",
    "DataflowEndpointDataExplorer",
    "DataflowEndpointDataExplorerAuthentication",
    "DataflowEndpointDataLakeStorage",
    "DataflowEndpointDataLakeStorageAuthentication",
    "DataflowEndpointFabricOneLake",
    "DataflowEndpointFabricOneLakeAuthentication",
    "DataflowEndpointFabricOneLakeNames",
    "DataflowEndpointKafka",
    "DataflowEndpointKafkaAuthentication",
    "DataflowEndpointKafkaBatching",
    "DataflowEndpointLocalStorage",
    "DataflowEndpointMqtt",
    "DataflowEndpointMqttAuthentication",
    "DataflowEndpointProperties",
    "DataflowEndpointResource",
    "DataflowOperation",
    "DataflowProfileProperties",
    "DataflowProfileResource",
    "DataflowProperties",
    "DataflowResource",
    "DataflowSourceOperationSettings",
    "DiagnosticsLogs",
    "DiskBackedMessageBuffer",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExtendedLocation",
    "Frontend",
    "GenerateResourceLimits",
    "InstancePatchModel",
    "InstanceProperties",
    "InstanceResource",
    "KubernetesReference",
    "ListenerPort",
    "LocalKubernetesReference",
    "ManagedServiceIdentity",
    "Metrics",
    "Operation",
    "OperationDisplay",
    "PrincipalDefinition",
    "ProfileDiagnostics",
    "ProxyResource",
    "Resource",
    "SanForCert",
    "SchemaRegistryRef",
    "SelfCheck",
    "SelfTracing",
    "StateStoreResourceRule",
    "SubscriberQueueLimit",
    "SystemData",
    "TlsCertMethod",
    "TlsProperties",
    "Traces",
    "TrackedResource",
    "UserAssignedIdentity",
    "VolumeClaimResourceRequirements",
    "VolumeClaimSpec",
    "VolumeClaimSpecSelector",
    "VolumeClaimSpecSelectorMatchExpressions",
    "X509ManualCertificate",
    "ActionType",
    "BrokerAuthenticationMethod",
    "BrokerMemoryProfile",
    "BrokerProtocolType",
    "BrokerResourceDefinitionMethods",
    "CertManagerIssuerKind",
    "CloudEventAttributeType",
    "CreatedByType",
    "DataExplorerAuthMethod",
    "DataLakeStorageAuthMethod",
    "DataflowEndpointAuthenticationSaslType",
    "DataflowEndpointFabricPathType",
    "DataflowEndpointKafkaAcks",
    "DataflowEndpointKafkaCompression",
    "DataflowEndpointKafkaPartitionStrategy",
    "DataflowMappingType",
    "EndpointType",
    "ExtendedLocationType",
    "FabricOneLakeAuthMethod",
    "FilterType",
    "KafkaAuthMethod",
    "ManagedServiceIdentityType",
    "MqttAuthMethod",
    "MqttRetainType",
    "OperationType",
    "OperationalMode",
    "OperatorValues",
    "Origin",
    "PrivateKeyAlgorithm",
    "PrivateKeyRotationPolicy",
    "ProvisioningState",
    "ServiceType",
    "SourceSerializationFormat",
    "StateStoreResourceDefinitionMethods",
    "StateStoreResourceKeyTypes",
    "SubscriberMessageDropStrategy",
    "TlsCertMethodMode",
    "TransformationSerializationFormat",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
